Subject: Re: Apache and PHP 'out of the box' on Cygwin
From: Stipe Tolj <[email-masked]>
To: Simon Stone <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 23 Mar 2003 18:19:12 +0100

> $ /usr/sbin/apachectl start
> Syntax error on line 237 of /etc/apache/httpd.conf:
> Cannot load /usr/lib/apache/libphp4.dll into server: dlopen: Win32 error 31
> /usr/sbin/apachectl start: httpd could not be started

this is should be the "rebase problem" with depending DLLs. Please
beware that I can't support Win9x, because I don't have such a system
running.

> Apache works fine without php. The libphp4.dll does exist. The
> /etc/postinstall/apache-php.sh.done script seems to have done its thing ok
> as I have put the dll back into the /usr/lib/apache/new directory and rerun
> this script - rebase runs through ok and my httpd.conf is modified as
> expected by apxs. I am confused as to what I should do next?... apparently
> Win 32 error 31 means "A device attached to the system is not functioning".

hmmm, this was reported AFAIK. Please check the archives if someone
did answer this question already.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Vogelsanger Weg 80
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/